<?php declare(strict_types=1);

namespace App\Form;

use App\Entity\FoodOrder;
use App\Entity\FoodVendor;
use Override;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

final class FoodOrderType extends AbstractType
{
    #[Override]
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $action = $options['action'] ?? null;
        $builder
            ->add('foodVendor', EntityType::class, [
                'class' => FoodVendor::class,
                'choice_label' => 'name',
            ])
        ;
        if ($action !== null) {
            $builder->setAction($action);
        }
    }

    #[Override]
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => FoodOrder::class,
        ]);
    }
}
